/*
 * Project name:
     tilt.vtft
 * Generated by:
     Visual TFT
 * Date of creation
     8/25/2015
 * Time of creation
     6:50:37 PM
 * Created By:
     Andrew Hazelden
 * Email:
     andrew@andrewhazelden.com
 * Blog:
     http://www.andrewhazelden.com

 * Test configuration:
     MCU:             P32MX460F512L
                      http://www.microchip.com/wwwproducts/Devices.aspx?product=PIC32MX460F512L
     Dev.Board:       MikroMMB_for_PIC32_hw_rev_1.10
                      http://www.mikroe.com/mikromedia/pic32/
     Oscillator:      80000000 Hz
     SW:              mikroC PRO for PIC32
                      http://www.mikroe.com/mikroc/pic32/
 */

#include "tilt_objects.h"
#include "tilt_resources.h"
#include "tilt_image_sequence.h"
#include "accel_driver.h"

void main() {
  int current_frame = 0;
  float tilt_angle = 0;
  Start_TP();
  ACCEL_Start(&cACCEL_test_status);
  
  TFT_Fill_Screen(CL_WHITE);

  // Show the MikroE Logo
  TFT_EXT_Image(0, 20, left50_bmp, 1);
  
  // Display the title
  TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
  TFT_Write_Text("Mikromedia VR Tilt Demo", 30, 5);
  TFT_Write_Text("By   Andrew   Hazelden   (c)  2015", 10, 300);
  
  Delay_ms(2500);
  
  TFT_Fill_Screen(CL_WHITE);
  
  while (1) {
    Check_TP();
    
    // Read the accelerometer
    tilt_angle = ACCEL_X_Test();
    
    // Accelerometer Horizontal Tipping
    if(tilt_angle > frame_range){
      // High Bounds Tipping Limit
      current_frame = frame_range-1;
    }else if(tilt_angle < 0){
      // Low Bounds Tipping Limit
      current_frame = 0;
    }else{
      current_frame = tilt_angle;
    }
    
    // Write the acelerometer debug text onscreen
    //TFT_Fill_Screen(CL_WHITE);
    //TFT_Write_Text(rotationString, 60, 5);

    // Play the image sequence
    
    // Left Mikromedia Board View
    TFT_EXT_Image(0, 20, animated_left[current_frame], 1);
    
    // Right Mikromedia Board View
    //TFT_EXT_Image(0, 20, animated_right[current_frame], 1);
    
    Delay_ms(25); // Keep the frame rate from going too high
  }
}
