# Mikromedia VR Head Tilt Demo #
-------------------------
2015-08-26

Created by Andrew Hazelden
Twitter: [@andrewhazelden](https://twitter.com/andrewhazelden)  
Email: [andrew@andrewhazelden.com](mailto:andrew@andrewhazelden.com)  
Web: [www.andrewhazelden.com](http://www.andrewhazelden.com)  

## Overview ##

The demo uses a pair of Mikromedia boards and a Google Cardboard head mounted display to create a PIC32 microcontroller driven stereoscopic 3D view that responds interactively to the accelerometer sensor's tilt input. The code was written using MikroC Pro for PIC32 and VisualTFT.

## Screenshot ##

![PIC32 Stereo Graphics](Screenshot/MikromediaVR_tilt_demo.jpg)  

![Animated Display Tilting](Screenshot/MikromediaVR-Demo.gif)  

## Installation ##

1. Install Firmware on a pair of Mikromedia PIC32 boards: Flash the left display firmware file tilt_left.hex to the left mounted Mikromedia, and the right display firmware file tilt_right.hex to the right mounted Mikromedia.

2. Copy the tilt_res.RES resource files to the root folder of the MicroSD cards in the Mikromedia dev boards.

3. Power up both of the Mikromedia boards and place them in the Google Cardboard display so they are aligned next to each other, centered at the left and right eye cardboard divider.

4. Close up the Google Cardboard and start enjoying the PIC32 MCU powered VR experience. The Mikromedia board's accelerometer measures the forward tilt angle as you tip your head. Try looking down towards your feat and up to the sky to watch the iconic **MikroE** logo move in stereoscopic 3D.

## Hardware Required ##

Two `MikroMMB_for_PIC32_hw_rev_1.10`  
[http://www.mikroe.com/mikromedia/pic32/](http://www.mikroe.com/mikromedia/pic32/)`

Google Cardboard Head Mounted Display  
[http://www.google.com/get/cardboard/](http://www.google.com/get/cardboard/)
